package csp

const (
	ScriptSrc = "script-src"
)

func (csp *Builder) WithScript(src ...string) *Builder {
	return csp.WithValue(ScriptSrc, src...)
}

func (csp *Builder) WithScriptSelf() *Builder {
	return csp.WithKeyword(ScriptSrc, Self)
}

func (csp *Builder) WithScriptTrustedTypesEval() *Builder {
	return csp.WithKeyword(ScriptSrc, TrustedTypesEval)
}

func (csp *Builder) WithScriptInlineSpeculationRules() *Builder {
	return csp.WithKeyword(ScriptSrc, InlineSpeculationRules)
}

func (csp *Builder) WithScriptNonce() *Builder {
	return csp.WithNonce(ScriptSrc)
}
